Name:		marave
Version:	0.7
Release:	%mkrel 4
Summary:	A text editor that helps you focus on writing
Group:		Editors
License:	GPLv2
URL:		http://code.google.com/p/marave/
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	python-setuptools
BuildRequires:	python-enchant
BuildRequires:	python-qt4-devel
BuildRequires:	python-qt4-phonon
BuildRequires:	enchant-devel

Requires:	enchant
Requires:	python-qt4


%description
Marave is a text editor whose goal is to help you focus on writing
It's inspired by Ommwriter, Darkroom and many other "simple" text 
editors, with a few twists

%prep
%setup -q 

%build
%__python setup.py build

%install
%__rm -rf $RPM_BUILD_ROOT
%__python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Marave
MimeType=text/plain;
GenericName=Marave
Comment=Text Editor
Exec=/usr/bin/marave-editor
Icon=/%{python_sitelib}/marave/icons/marave.svg
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;TextEditor;
EOF

%files
%doc LICENSE README
%{_bindir}/marave-editor
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/Marave-0.7-py*.egg-info
%{python_sitelib}/%{name}/Ui_prefs.py*
%{python_sitelib}/%{name}/__init__.py*
%{python_sitelib}/%{name}/backgrounds/*
%{python_sitelib}/%{name}/clicks/*
%{python_sitelib}/%{name}/editor/*
%{python_sitelib}/%{name}/icons/*
%{python_sitelib}/%{name}/icons_rc.py*
%{python_sitelib}/%{name}/main.py*
%{python_sitelib}/%{name}/plugins/*
%{python_sitelib}/%{name}/radios.txt
%{python_sitelib}/%{name}/stylesheets/*
%{python_sitelib}/%{name}/themes/*
%{python_sitelib}/%{name}/translations/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 544916
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-3.mga4
+ Revision: 500480
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 359411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 16 2011 juancho <juancho> 0.7-1.mga2
+ Revision: 144139
- Removed Version tag from desktop file, is optional and contained a wrong value.
- Fixed Categories on desktop file.
- Changed comment in desktop file to english.
- Removed BuildArch and fixed enchant-devel BuildRequires.

  + vaci0 <vaci0>
    - Fixed %%files section
    - Fixed %%description
    - Fix %%doc section
    - Fix %%clean section
    - imported package marave

